%define upstream_name    AppConfig
%define	upstream_version 1.71

%?perl_default_filter
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(AppConfig::State\\)$

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl5 modules for reading configuration
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl-File-HomeDir
BuildArch:  noarch

%description
AppConfig has a powerful but easy to use module for parsing configuration
files. It also has a simple and efficient module for parsing command line
arguments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/AppConfig.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.710.0-3.mga6
+ Revision: 1022539
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.710.0-2.mga6
+ Revision: 967297
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.710.0-1.mga6
+ Revision: 848636
- update to 1.71

* Wed Oct 15 2014 umeabot <umeabot> 1.660.0-6.mga5
+ Revision: 745835
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.660.0-5.mga5
+ Revision: 731828
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.660.0-4.mga5
+ Revision: 683530
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.660.0-3.mga4
+ Revision: 509159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.660.0-2.mga3
+ Revision: 363087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.660.0-1.mga1
+ Revision: 31718
- mageia rebuild
- imported package perl-AppConfig


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.660.0-1mdv2010.1
+ Revision: 402977
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.66-3mdv2009.0
+ Revision: 223498
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.66-2mdv2008.1
+ Revision: 180365
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.66-1mdv2008.0
+ Revision: 49307
- New version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.65-1mdv2008.0
+ Revision: 46310
- update to new version 1.65

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.64-1mdv2008.0
+ Revision: 19184
-New version


* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 22:55:14 (101843)
- add BuildRequires: perl-File-HomeDir

* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org>
+ 2006-12-19 12:38:41 (99352)
Import perl-AppConfig

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2007.0
- new version
- spe cleanup

* Sat Apr 01 2006 Buchan Milne <bgmilne@mandriva.org> 1.56-2mdk
- Rebuild
- use mkrel

* Wed May 05 2004 Michael Scherer <misc@mandrake.org> 1.56-1mdk
- remove unused Tag
- 1.56
- rpmbuildupdate aware

